Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-alpha4
Severity: Add-on version:
Operative System: Add-on resolve build: 2043
Keywords: Proyecto:
Has patch: No Hito:
Description

When I try to get a PersistentState from a successfully loaded raster layer (a tiff image) using the PersistentManager:

  PersistenceManager pManager = ToolsLocator.getPersistenceManager();
  try {
     PersistentState state = pManager.getState(rasterLayer);
  } catch (Exception ex){
     NotificationManager.addError("error",ex);
  }

I get this exception:

org.gvsig.tools.persistence.exception.PersistenceValidateExceptions: Errors found validating persistent state.
  Errors found validating 'org.gvsig.raster.impl.datastruct.BandListImpl'.
  Errors found validating 'Persistence:BandListImpl_Persistent'.
  Field 'drawableBands': Value required.
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.validate(DefaultPersistentContext.java:398)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.validateAll(AbstractPersistenceManager.java:183)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getState(AbstractPersistenceManager.java:292)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getState(AbstractPersistenceManager.java:270)
        .....

History
#1 - 01/18/2012 10:53 PM - Joaquín  del Cerro Murciano
- Category set to Raster
- Assignee set to Ignacio Brodín

#2 - 01/25/2012 10:15 AM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on name deleted (unknown)
- Add-on resolve build set to 2043
drawableBands parameter should not be mandatory because if the layer has not been drawn yet this variable will be null

[gvsig-raster 959]

#3 - 02/01/2012 02:54 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha4

#4 - 02/26/2014 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed
